namespace l11
set_option pp.structure_projections false
open nat

def add : ℕ → ℕ → ℕ 
| n zero := n 
| n (succ m) := succ (add n m)

#reduce (add 7 3)

local notation (name := add)
  m + n := add m n

theorem lneutr : 
  ∀ n : ℕ, 0 + n = n :=
begin
  assume n,
  induction n with n' ih,
    dsimp [(+),add],
    reflexivity,
    dsimp [(+),add],
    rewrite ih,
end

end l11

